Summary:	KDE Frameworks 5 key management module
Name:		libkleo
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	gpgme++-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5pimtextedit-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	qgpgme-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 key management module.

%files
%dir %{_kde5_datadir}/libkleopatra/
%{_kde5_datadir}/libkleopatra/*
%{_kde5_sysconfdir}/xdg/libkleo.categories
%{_kde5_sysconfdir}/xdg/libkleo.renamecategories
%{_kde5_sysconfdir}/xdg/libkleopatrarc

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 key management library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 key management library translations.

%files i18n -f libkleopatra.lang

#----------------------------------------------------------------------------

%define kf5libkleo_major 5
%define libkf5libkleo %mklibname kf5libkleo %{kf5libkleo_major}

%package -n %{libkf5libkleo}
Summary:	KDE Frameworks 5 key management shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5libkleo}
KDE Frameworks 5 key management shared library.

%files -n %{libkf5libkleo}
%{_kde5_libdir}/libKF5Libkleo.so.%{kf5libkleo_major}*

#----------------------------------------------------------------------------

%define devkf5libkleo %mklibname kf5libkleo -d

%package -n %{devkf5libkleo}
Summary:	Development files for KDE Frameworks 5 key management module
Group:		Development/KDE and Qt
Requires:	%{libkf5libkleo} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5libkleo-devel = %{version}

%description -n %{devkf5libkleo}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5libkleo}
%{_kde5_includedir}/KF5/Libkleo
%{_kde5_includedir}/KF5/libkleo
%{_kde5_includedir}/KF5/libkleo_version.h
%{_kde5_libdir}/cmake/KF5Libkleo
%{_kde5_libdir}/libKF5Libkleo.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang libkleopatra --with-kde
%kf5locales_fix libkleopatra.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (5591d62) New version 17.08.2


